Subject: rsync for backup

From: "J. A. Landamore" <[email-masked]>
Date: Wed, 7 Jul 2004 16:52:25 +0100 (BST)

I'd be interested in comments on/flaws in the following.

We run a "warm standby" mailsystem, i.e. one that is fully configured and "ready 
to go" if the main hub fails.  The only thing is that the user mail files are 
always at least a day out of date, having been created from the previous days 
backup.  What problems am I likely to encounter if:

I run rsync on the standby with the main hub as the source.  I then run mailutil 
check against the mail files on the standby and re-rsync any that don't check 
clean.

We're talking 6GB+ of mail files, a large part of which don't change (e.g. a 
30Mb mailbox which has only 1 or 2 messages added to it), so I'm trying to avoid 
doing a mailutil transfer which I believe will duplicate the whole tree.

For info; all mail input is handled by postfix/dmail and all mail reading is via 
UW imap/pop and a c-client based webmailer (prayer from U. Cambridge)  Mail is 
held in mbx format files.

Thanks for any insight

John Landamore

School of Mathematics & Computer Science
University of Leicester
University Road, LEICESTER, LE1 7RH
[email-masked]
Phone: +44 (0)116 2523410       Fax: +44 (0)116 2523604

-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------

---

From: "Jason Munro" <[email-masked]>
Date: Wed, 7 Jul 2004 12:09:18 -0500

On 10:52:25 am 07/07/04 "J. A. Landamore" <[email-masked]> wrote:
> We run a "warm standby" mailsystem, i.e. one that is fully configured
> and "ready to go" if the main hub fails.  The only thing is that the
> user mail files are always at least a day out of date, having been
> created from the previous days backup.  What problems am I likely to
> encounter if:
> I run rsync on the standby with the main hub as the source.  I then
> run mailutil check against the mail files on the standby and re-rsync
> any that don't check clean.
>
> We're talking 6GB+ of mail files, a large part of which don't change
> (e.g. a 30Mb mailbox which has only 1 or 2 messages added to it), so
> I'm trying to avoid doing a mailutil transfer which I believe will
> duplicate the whole tree.
> For info; all mail input is handled by postfix/dmail and all mail
> reading is via UW imap/pop and a c-client based webmailer (prayer
> from U. Cambridge)  Mail is held in mbx format files.

Our setup is slightly different but we have been using rsync to keep a
"warm standby" system current for a few months and it is working great. We
don't run an rsync server, just some scripts and cron jobs to fire off sync
jobs over ssh. We have been able to sync 18 gig of Maildir format boxes
every 5 minutes with the average sync time being 42 seconds. With that
rapid of a sync frequency you have to be careful that a job does not fire
off if the prior job has not finished or you can very easily DOS your
backup box (It happened to me early on in testing :)

Hope any of that helps.

\__ Jason Munro
 \__ [email-masked]
  \__ http://hastymail.sourceforge.net/